Package Details: droidcam 6.7.5-1

Git Clone URL: https://aur.archlinux.org/droidcam.git (read-only)
Package Base: droidcam
Description: A tool for using your android device as a wireless/usb webcam
Upstream URL: https://www.dev47apps.com/droidcam/linuxx
Licenses: custom
Submitter: marquicus
Maintainer: AwesomeHaircut (jamesan)
Last Packager: AwesomeHaircut
Votes: 52
Popularity: 0.67
First Submitted: 2011-06-29 20:31
Last Updated: 2019-07-21 15:14

Pinned Comments

AwesomeHaircut commented on 2017-04-04 05:00

I don't use this anymore so if it's outdated or anything feel free to flag it out of date so I can update it! Before you compile make sure you're running the latest kernel

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

jamesan commented on 2014-08-28 01:31

Just built this using ackalker's PKGBUILD and droidcam.install (and the OP's droidcam.desktop) to upgrade to version 4.1-1. Works like a charm without the v4l2loopback dependency.

jamesan commented on 2014-08-28 01:30

Just built this using ackalker's PKGBUILD and droidcam.install (and the OP's droidcam.desktop). Works like a charm without the v4l2loopback dependency.

ackalker commented on 2014-08-22 00:37

Forgot to add: droidcam.install: http://pastie.org/9493163

This just does a depmod with proper arguments, otherwise modinfo/modprobe might not work properly.

ackalker commented on 2014-08-22 00:32

There is a new version out.
If you want, you can use my updated PKGBUILD: http://pastie.org/9492159
It also fixes the depends array, v4l2loopback doesn't exist as a package and isn't needed.

drevilt commented on 2014-08-18 15:09

thank you.

petRUShka commented on 2014-08-17 15:07

Hello. There are two problems:
1) There is no cli version installed
2) There are errors with custom kernels like linux-pf

Soultions:

1) Add `install -m755 "$srcdir"/${pkgname}-cli "$pkgdir"/usr/bin/${pkgname}-cli`
2) Replace
install -Dm644 v4l2loopback-dc.ko \
"$pkgdir/usr/lib/modules/extramodules-$_kver/v4l2loopback_dc.ko"

by

_extramodules="extramodules-$(uname -r | cut -f-2 -d'.')-$(uname -r|sed -e 's/.*-//g')"
MODPATH="${pkgdir}/usr/lib/modules/${_extramodules}/"
install -Dm644 v4l2loopback-dc.ko "$MODPATH/v4l2loopback_dc.ko"

whole PKGBUILD: http://pastie.org/private/zwkx4ed3z4faej5kcxoeq

petRUShka commented on 2014-08-17 15:06

Hello. There is two problems:
1) There is no cli version installed
2) There are errors with custom kernels like linux-pf

Soultions:

1) Add `install -m755 "$srcdir"/${pkgname}-cli "$pkgdir"/usr/bin/${pkgname}-cli`
2) Replace
install -Dm644 v4l2loopback-dc.ko \
"$pkgdir/usr/lib/modules/extramodules-$_kver/v4l2loopback_dc.ko"

by

_extramodules="extramodules-$(uname -r | cut -f-2 -d'.')-$(uname -r|sed -e 's/.*-//g')"
MODPATH="${pkgdir}/usr/lib/modules/${_extramodules}/"
install -Dm644 v4l2loopback-dc.ko "$MODPATH/v4l2loopback_dc.ko"

whole PKGBUILD: http://pastie.org/private/zwkx4ed3z4faej5kcxoeq

capoeira commented on 2014-06-18 21:48

so, the settings file is in /usr/share/droidcam/

it has to be moved to ~/.droidcam/

capoeira commented on 2014-06-17 12:36

http://www.dev47apps.com/droidcam/linuxx/

capoeira commented on 2014-06-17 12:10

.droidcam es also missing....doesn't work at all - it's not in root folder, nore home